%define name xkeycaps
%define version 2.45
%define release 1mdk

Summary: A keymap editor for the X window system.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.jwz.org/xkeycaps/%{name}-%{version}.tar.bz2
Copyright: BSD
Group: X11/Utilities
BuildRoot: /tmp/%{name}-buildroot
Prefix: %{_prefix}/X11R6

%description
Xkeycaps is a graphical front-end to xmodmap.  It opens a window that looks
like a keyboard; moving the mouse over a key shows what KeySyms and Modifier
bits that key generates.  Clicking on a key simulates KeyPress/KeyRelease
events on the window of your choice.  It is possible to change the KeySyms
and Modifiers generated by a key through a mouse-based interface.  This
program can also write an input file for xmodmap to recreate your changes 
in future sessions.

%prep
%setup
%build
xmkmf -a
make CDEBUGFLAGS="$RPM_OPT_FLAGS" CXXDEBUGFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,man/man1}/

bzip2 -9f xkeycaps.man

install -m755 -s xkeycaps $RPM_BUILD_ROOT/%{prefix}/bin
install -m0444 xkeycaps.man.bz2 $RPM_BUILD_ROOT/%{prefix}/man/man1/xkeycaps.1x.bz2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,0755)
%doc xkeycaps.lsm README defining.txt sgi-microsoft.txt
%{prefix}/bin/xkeycaps
%{prefix}/man/man1/*.bz2

%changelog
* Sun Jul 18 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- First version for Mandrake distribution.


# end of file
